/ comp / gb.opengl / gl / cleardepth
Gl.ClearDepth (gb.opengl)
Syntax

    STATIC SUB ClearDepth ( Depth AS Float )

### Specify the clear value for the depth buffer

#### Parameters

- Depth specifies the depth value used when the depth buffer is cleared.

#### Description

Gl.ClearDepth specifies the depth value used by Gl.Clear to clear the depth buffer. Values specified by Gl.ClearDepth are clamped to the range [0, 1].

#### Errors

Gl.GL_INVALID_OPERATION is generated if Gl.ClearDepth is called between a call to Gl.Begin and the corresponding call to Gl.End.

#### Associated Gets

Gl.GetDepthClearValue

### See also

Gl.Clear